.TH "mca_btl_mvapi_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_mvapi_module_t \- IB PTL Interface.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_mvapi.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_module_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL interface \fP"
.ti -1c
.RI "bool \fBbtl_inited\fP"
.br
.ti -1c
.RI "mca_btl_mvapi_recv_reg_t \fBib_reg\fP [256]"
.br
.ti -1c
.RI "mca_btl_mvapi_port_info_t \fBport_info\fP"
.br
.ti -1c
.RI "VAPI_hca_id_t \fBhca_id\fP"
.br
.RI "\fIID of HCA. \fP"
.ti -1c
.RI "IB_port_t \fBport_id\fP"
.br
.RI "\fIID of the PORT. \fP"
.ti -1c
.RI "VAPI_hca_port_t \fBport\fP"
.br
.RI "\fIIB port of this PTL. \fP"
.ti -1c
.RI "VAPI_hca_hndl_t \fBnic\fP"
.br
.RI "\fINIC handle. \fP"
.ti -1c
.RI "VAPI_pd_hndl_t \fBptag\fP"
.br
.RI "\fIProtection Domain tag. \fP"
.ti -1c
.RI "VAPI_cq_hndl_t \fBcq_hndl_hp\fP"
.br
.RI "\fIHigh Priority Completion Queue handle. \fP"
.ti -1c
.RI "VAPI_cq_hndl_t \fBcq_hndl_lp\fP"
.br
.RI "\fILow Priority Completion Queue handle. \fP"
.ti -1c
.RI "EVAPI_async_handler_hndl_t \fBasync_handler\fP"
.br
.RI "\fIAsync event handler used to detect weird/unknown events. \fP"
.ti -1c
.RI "ompi_free_list_t \fBsend_free_eager\fP"
.br
.RI "\fIfree list of eager buffer descriptors \fP"
.ti -1c
.RI "ompi_free_list_t \fBsend_free_max\fP"
.br
.RI "\fIfree list of max buffer descriptors \fP"
.ti -1c
.RI "ompi_free_list_t \fBsend_free_frag\fP"
.br
.RI "\fIfree list of frags only.. \fP"
.ti -1c
.RI "ompi_free_list_t \fBrecv_free_eager\fP"
.br
.RI "\fIHigh priority free list of buffer descriptors. \fP"
.ti -1c
.RI "ompi_free_list_t \fBrecv_free_max\fP"
.br
.RI "\fILow priority free list of buffer descriptors. \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBib_lock\fP"
.br
.RI "\fImodule level lock \fP"
.ti -1c
.RI "VAPI_rr_desc_t * \fBrr_desc_post\fP"
.br
.RI "\fIan array to allow posting of rr in one swoop \fP"
.ti -1c
.RI "VAPI_srq_hndl_t \fBsrq_hndl_hp\fP"
.br
.RI "\fIA high priority shared receive queue runtime optional, can also use a receive queue per queue pair. \fP"
.ti -1c
.RI "VAPI_srq_hndl_t \fBsrq_hndl_lp\fP"
.br
.RI "\fIA low priority shared receive queue. \fP"
.ti -1c
.RI "size_t \fBib_inline_max\fP"
.br
.RI "\fImax size of inline send \fP"
.ti -1c
.RI "int32_t \fBnum_peers\fP"
.br
.ti -1c
.RI "int32_t \fBsrd_posted_hp\fP"
.br
.RI "\fInumber of high priority shared receive descriptors posted to the nic \fP"
.ti -1c
.RI "int32_t \fBsrd_posted_lp\fP"
.br
.RI "\fInumber of low priority shared receive descriptors posted to the nic \fP"
.ti -1c
.RI "int32_t \fBrd_num\fP"
.br
.RI "\fInumber of receive descriptors to post to srq \fP"
.ti -1c
.RI "int32_t \fBrd_low\fP"
.br
.RI "\fIlow water mark before reposting descriptors to srq \fP"
.ti -1c
.RI "int32_t \fBsd_tokens_hp\fP"
.br
.RI "\fInumber of send tokens available on high priority srq \fP"
.ti -1c
.RI "int32_t \fBsd_tokens_lp\fP"
.br
.RI "\fInumber of send tokens available on low priority srq \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_frags_hp\fP"
.br
.RI "\fIlist of pending high priority frags \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_frags_lp\fP"
.br
.RI "\fIlist of pending low priority frags \fP"
.in -1c
.SH "Detailed Description"
.PP 
IB PTL Interface. 
.PP
.SH "Field Documentation"
.PP 
.SS "ompi_free_list_t \fBmca_btl_mvapi_module_t::send_free_frag\fP"
.PP
free list of frags only.. 
.PP
used for pining memory 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
